CREATE TABLE fmk_d_cont_templates_b (
    TEMPLATE_ID              NUMBER(18, 0) ,
    NAME                     VARCHAR2(1020)    NOT NULL,
    TEMPLATE                 CLOB          ,
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    STATUS_CODE              VARCHAR2(1020),
    STYLES                   VARCHAR2(1020),
    SOURCE                   CLOB          ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    TEMPLATE_ID              NUMBER(18, 0) ,
    NAME                     VARCHAR2(1020)    NOT NULL,
    TEMPLATE                 CLOB          ,
    IS_ACTIVE                VARCHAR2(4)       NOT NULL,
    STATUS_CODE              VARCHAR2(1020),
    STYLES                   VARCHAR2(1020),
    SEED_DATA_SOURCE         VARCHAR2(2048),
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SOURCE                   CLOB          ,
    CONSTRAINT pk_fmk_d_cont_templates_b PRIMARY KEY (TEMPLATE_ID, TEMPLATE_ID)
);
